Bug 1269230 - hddtemp_smartctl fails to parse temperature from output
hddtemp_smartctl fails to parse temperature from output
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: munin (Show other bugs)
el6
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: d. johnson
Fedora Extras Quality Assurance
https://github.com/munin-monitoring/m...
:
Depends On:
Blocks: 1339122
  Show dependency treegraph
 
Reported: 2015-10-06 14:11 EDT by Jonathan Miner
Modified: 2016-05-24 04:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: munin-2.0.25-11.fc24 munin-2.0.25-11.fc23 munin-2.0.25-11.fc22 munin-2.0.25-11.el7 munin-2.0.25-11.el6 munin-2.0.25-11.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1339122 (view as bug list)
Environment:
Last Closed: 2016-03-26 14:04:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Miner 2015-10-06 14:11:59 EDT
Description of problem:

The hddtemp_smartctl fails to parse temperature from the output of smartctl.  Upon investigation, discovered that my drive reports "190 Airflow_Temperature_Cel" and that parameter is not parsed in the plugin


Version-Release number of selected component (if applicable): 2.0.25-2


How reproducible: Always


Steps to Reproduce:
1. run smartctl --all /dev/sda
2. run /etc/munin/plugins/hddtemp_smartctl
3.

Actual results:

smartctl will report the "Airflow Temperature"

hddtemp_smartctl will report "Temperature not detected"


Expected results:

hddtemp_smartctl reports same temperature as smartctl

Additional info:
Comment 1 d. johnson 2015-10-06 17:38:29 EDT
Running the plugin directly like that will create problems.  Always use munin-run.

What does your config file look like for this plugin?
Comment 2 d. johnson 2015-10-06 17:40:16 EDT
Reference: "munindoc hddtemp_smartctl" indicates what should be listed.
Comment 3 Jonathan Miner 2015-10-07 07:26:39 EDT
I looked at the source code for hddtemp_smartctl. As I documented above, my hardware reports a field named "190 Airflow_Temperature_Cel"

The parsing algorithm looks for:
"Current Drive Temperature"
"194 Temperature Celsius"
"231 Temperature Celsius"

None of which match what my drive returns.  To the best of my knowledge, this has nothing to do with the configuration.  The config file for hddtemp_smartctl only has the following:

[hddtemp_smartctl]
user root

BTW... using "munin-run" to execute it results in the same "Temperature not detected" message.  I'll use munin-run in the future, but it doesn't have anything to do with this bug.

The fix appears to just be to add another "elsif" clause to the parsing algorithm.
Comment 4 d. johnson 2015-10-07 09:29:16 EDT
You will want to add something like "dev_sda" to your config file so that it monitors that drive.

For the elsif, might need a new issue upstream, https://github.com/munin-monitoring/munin/issues

This issue could also be resolved already in the ~2.0.26 release (pending).
Comment 5 Jonathan Miner 2015-10-08 10:33:21 EDT
Reported upstream:

https://github.com/munin-monitoring/munin/issues/576
Comment 6 Jonathan Miner 2015-12-07 09:09:48 EST
Upstream reported this was fixed as of:

commit f2179a63e40b575c61750f4d7825a3f59eea3044
Author: leeclemens 
Date:   Thu Jan 30 22:12:30 2014 -0500

    Add Airflow_Temperature_Cel as temperature reading

    Samsung SSD 830 Pro (at least) only provides Airflow_Temperature_Cel from smartctl
Comment 7 Fedora Update System 2016-03-15 21:38:59 EDT
munin-2.0.25-11.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cb381df2e
Comment 8 Fedora Update System 2016-03-15 21:40:00 EDT
munin-2.0.25-11.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7461361430
Comment 9 Fedora Update System 2016-03-15 21:40:41 EDT
munin-2.0.25-11.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8a2521ca09
Comment 10 Fedora Update System 2016-03-15 21:41:14 EDT
munin-2.0.25-11.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-41976a321c
Comment 11 Fedora Update System 2016-03-15 21:41:53 EDT
munin-2.0.25-11.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b515c26e35
Comment 12 Fedora Update System 2016-03-15 21:42:25 EDT
munin-2.0.25-11.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cdbc3807c
Comment 13 Fedora Update System 2016-03-18 10:59:59 EDT
munin-2.0.25-11.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cdbc3807c
Comment 14 Fedora Update System 2016-03-18 18:49:47 EDT
munin-2.0.25-11.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7461361430
Comment 15 Fedora Update System 2016-03-18 18:52:00 EDT
munin-2.0.25-11.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8a2521ca09
Comment 16 Fedora Update System 2016-03-18 19:56:27 EDT
munin-2.0.25-11.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-41976a321c
Comment 17 Fedora Update System 2016-03-18 21:27:06 EDT
munin-2.0.25-11.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b515c26e35
Comment 18 Fedora Update System 2016-03-18 22:18:23 EDT
munin-2.0.25-11.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cb381df2e
Comment 19 Fedora Update System 2016-03-26 14:04:40 EDT
munin-2.0.25-11.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-03-26 15:49:47 EDT
munin-2.0.25-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2016-03-26 16:20:47 EDT
munin-2.0.25-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2016-04-02 15:25:34 EDT
munin-2.0.25-11.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2016-04-02 16:34:12 EDT
munin-2.0.25-11.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2016-04-03 15:51:20 EDT
munin-2.0.25-11.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.